PATCH/projects/{project_id}/ideas/{idea_id}

Update idea

Update the title, description, status, tags, or admin response of an idea. At least one field must be provided.

Base URLhttps://seggwat.com/api/v1

Parameters

project_idpathstringrequired

Unique identifier of the project (MongoDB ObjectId)

Example: 507f1f77bcf86cd799439011
idea_idpathstringrequired

Unique identifier of the idea

Request Body

required

Fields to update. At least one field must be provided.

application/json
IdeaUpdate

Fields to update on an idea. At least one field must be provided.

admin_responsestring

Public response from an admin or team member

Example: Great idea! We have this on our roadmap for Q2.
descriptionstring

Updated description

Example: Updated description with more details
statusIdeaStatus

Status of an idea

Enum:PendingOpenPlannedStartedCompletedDeclinedDuplicateRejected
tag_idsarray<string>

Updated list of tag identifiers

titlestring

Updated title

Example: Add dark mode and high contrast support

Responses

Navigation